{% load i18n %}

<table class="table table-hover">
  <thead>
  <tr>
    <th>{% translate 'name'|capfirst %}</th>
    {% if not compact %}
      <th>{% translate 'type'|capfirst %}</th>
    {% endif %}
    <th>{% translate 'color'|capfirst %}</th>
    {% if not compact %}
      <th>{% translate 'position'|capfirst %}</th>
       <th></th>
    {% endif %}
  </tr>
  </thead>
  <tbody>
  {% for location in locations %}
    <tr onclick="window.location='{{ location.get_absolute_url }}'">
      <td><span class="ms-{{ location.depth }}">{% if location.depth > 1 %}<i class="bi bi-dash"></i> {% endif %}{{ location.name }}</span></td>
      {% if not compact %}
        <td>{{ location.location_type }}</td>
      {% endif %}
      <td><span class="color-box" style="background-color:{{ location.color }}"></span></td>
      {% if not compact %}
      <td>
        {% if location.latitude and location.longitude %}
          <i class="bi bi-map"></i> <a href="https://www.openstreetmap.org/?mlat={{ location.latitude|floatformat:"5u" }}&mlon={{ location.longitude|floatformat:"5u" }}#map=19/{{ location.latitude|floatformat:"5u" }}/{{ location.longitude|floatformat:"5u" }}" >
             {{ location.latitude }} / {{ location.longitude }}</a>
          {% if location.elevation %}
            <span class="ms-2">({% translate 'elevation' %} {{ location.elevation }})</span>
          {% endif %}
        {% elif location.elevation %}
          {% translate 'elevation'|capfirst %} {{ location.elevation }}
        {% endif %}
      </td>
      <td class="text-end">
        {% if perms.locations.change_location %}
          <a href="{% url 'locations:change' location.id %}" class="btn-sm btn-outline-primary mx-1"><i class="bi bi-pencil"></i></a>
        {%  endif %}
        {% if perms.locations.delete_location %}
          <a href="{% url 'locations:delete' location.id %}" class="btn-sm btn-outline-danger mx-1"><i class="bi bi-trash"></i></a>
        {%  endif %}
      </td>
      {% endif %}
    </tr>
  {% empty %}
    <tr>
      <td colspan="5">{% translate 'no location found'|capfirst %}</td>
    </tr>
  {% endfor %}
  </tbody>
</table>
